CREATE TABLE IF NOT EXISTS `#__shedule_days` (
  id INT(11) NOT NULL AUTO_INCREMENT,
  name VARCHAR(255) DEFAULT NULL,
  published TINYINT(1) NOT NULL DEFAULT 1,
  ordering INT(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (id)
)
ENGINE = MYISAM
DEFAULT CHARSET = utf8;

CREATE TABLE IF NOT EXISTS `#__shedule_events` (
  id INT(11) NOT NULL AUTO_INCREMENT,
  name VARCHAR(50) DEFAULT NULL,
  info TEXT DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = MYISAM
DEFAULT CHARSET = utf8;

CREATE TABLE IF NOT EXISTS `#__shedule_lines` (
  id INT(11) NOT NULL AUTO_INCREMENT,
  stime TIME NOT NULL DEFAULT '00:00:00',
  published TINYINT(1) NOT NULL DEFAULT 1,
  ordering INT(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (id),
  UNIQUE INDEX stime (stime)
)
ENGINE = MYISAM
DEFAULT CHARSET = utf8;

CREATE TABLE IF NOT EXISTS `#__shedule_shedule` (
  id INT(11) NOT NULL AUTO_INCREMENT,
  day_id INT(11) NOT NULL DEFAULT 0,
  line_id INT(11) NOT NULL DEFAULT 0,
  event_id INT(11) NOT NULL DEFAULT 0,
  user_id INT(11) NOT NULL DEFAULT 0,
  published TINYINT(1) NOT NULL DEFAULT 1,
  PRIMARY KEY (id)
)
ENGINE = MYISAM
DEFAULT CHARSET = utf8;

CREATE TABLE IF NOT EXISTS `#__shedule_users` (
  id INT(11) NOT NULL AUTO_INCREMENT,
  name VARCHAR(255) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = MYISAM
DEFAULT CHARSET = utf8;